<?php
//Définition des constantes relatives à la base de données : ces informations doivent être identiques 
// à celles du fichier coq.yml, où la base QoQ-CoT et son user associée doivent aussi être fournies
define('SQL_DBNAME', '<BASE DE DONNEES QoQ-CoT>'); 
define('SQL_HOST', '<NOM DNS SERVEUR MYSQL HEBERGEANT SQL_DBNAME>');
define('SQL_PORT', '<PORT_MYSQL_SUR_SQL_HOST>');
define('SQL_USERNAME', '<USERNAME>');
define('SQL_PASSWORD', '<PASSWORD>');

//Jours ouvrés par défaut
//Jours ouvrés dans la semaine (0 = dimanche, 1 = lundi, ..., 6 = samedi)
define('JOURS_OUVRES', serialize(array(1, 2, 3, 4, 5)));

//Fenêtre d'observation quotidienne par défaut
define('HEURE_DEBUT', '08:00');
define('HEURE_FIN', '18:00');

//Définition de l'url des pages annuaire
//Remplacer le nom d'usager par la chaine login _LOGIN_ dans l'URL standard d'acces à la page annuaire d'un usager
//Exemple : http://annuaire.chezvous.fr/showuser.php?uid=_LOGIN_
define('URL_ANNUAIRE', '<URL_PAGE_ANNUAIRE_DE_UTILISATEUR__LOGIN_>');

//Le premier Admin
//A l'installation l'usager décrit ci-dessous bénéficiera du rôle admin (et pourra créer les suivants depuis l'interface)
define('FIRST_ADMIN', '<LOGIN_DU_PREMIER_ADMIN>');

//Sites
//Déclarer les sites à l'intérieur du tableau. Ex : array('Site1','Site2','Site3')
//Si un seul site, commenter la ligne qui suit ou laisser vide le tableau : array() 
define('SITES',serialize(array()));

//Pour accéler le calcul de graphe, il est possible d'utiliser une table contenant seulement
//les connexions remontant au nombre de jours indiqué dans la variable CONNEXIONS_CACHE
//Si CONNEXIONS_CACHE est instancié à 0 alors cette table ne sera pas mise en place
//À chaque fois que la valeur CONNEXIONS_CACHE sera modifiée, il sera nécessaire de relancer
//la commande "php setup.php -c" afin de mettre la table à jour
define('CONNEXIONS_CACHE',0);

//Autoriser l'utilisation des webservices QOQ-CoT
define('WS_ENABLED',false);
